﻿@model MoviesViewModel
@{
    ViewData["Title"] = "ShowAllMovies";
}

<h3></h3>
<table class="table table-hover" id="forumIndexTable">

    <tbody>
        @foreach (var movie in Model.Movies)
        {
            <tr>
                <td>
                    <img src="@movie.ImageURL" alt="" width="150">
                </td>
                <td>
                    <a asp-controller="Movie" asp-action="Details" asp-route-id="@movie.Id">
                        <h3><strong>@movie.Title</strong></h3>
                    </a>
                    @if (movie.Rating == null)
                    {
                        <p><strong>Title:</strong> @movie.Title</p>
                        <p><strong>Release Date:</strong> @movie.ReleaseDate.ToString("dd MMMM yyyy")</p>
                        <p><strong>Duration:</strong> @movie.Duration min</p>
                    }
                    else
                    {
                        <p><strong>Title:</strong> @movie.Title</p>
                        <p><strong>Release Date:</strong> @movie.ReleaseDate.ToString("dd MMMM yyyy")</p>
                        <p><strong>Duration:</strong> @movie.Duration min</p>
                        <p><strong>IMovieDb rating:</strong> @movie.Rating</p>
                    }
                </td>
            </tr>
        }
    </tbody>
</table>